import { http } from '@/utils/http'
import type { MaintStVO, MaintOrderVO } from './maint.d'
type ID = number | string

/**
 * 根据id查询汇总
 * @param id
 */
export const getMaintSt = (id: ID) => {
  return http.get<MaintStVO>(`/eims/maintSt/${id}`)
}


/**
 * 更新工单汇总
 * @param data
 */
export const updateMaintSt = (data: any) => {
  return http.put<void>('/eims/maintSt', data)
}

/**
 * 保养汇总列表
 */
export const getMaintStList = (params: any) => {
  return http.get<MaintStVO[]>('/eims/maintSt/list', params)
}

/**
 * 根据id查询工单
 * @param id
 */
export const getMaintOrder = (id: ID) => {
  return http.get<MaintOrderVO>(`/eims/maintOrder/${id}`)
}

/**
 * 保养汇总列表下保养工单列表
 */
export const getMaintStOrderList = (params: any) => {
  return http.get<MaintOrderVO[]>('/eims/maintOrder/detailList', params)
}

/**
 * 更新保养工单
 * @param data
 */
export const updateMaintOrder = (data: any) => {
  return http.put<void>('/eims/maintOrder', data)
}
